package com.Felipe.Actions;

import com.Felipe.Wave.ActionVlastnostiZvukovehoOtisku;

/*
 * Identifikace zvukov vlny je omezena nsledujcmi parametry
 * Jedn se o pln dostaujc nstroj v identifikaci krtkch odlinch zvuk
 * Vkldn do aplikace dalch zvuk by bylo vhodnj eit formou databaze
 * 
 * Aplikace by tyto zvuky natala v prbhu sputn a v nvaznosti na jejich
 * poet by upravovala uivatelsk prosted.
 * 
 */

public class PiskaniAction extends ActionVlastnostiZvukovehoOtisku {
public PiskaniAction(){
	minFrekvence = 500.0f;
	maxFrekvence = 5000.0f;
	
	minIntenzita = 1700.0f;
	maxIntenzita = 100000.0f;
	
	minSmerOdchylka = 0.06f;
	maxSmerOdchylka = 0.08f;
	
	highPass = 100;
	lowPass = 10000;
	
	minNumZeroCross = 50;
	maxNumZeroCross = 200;
	
	//numRobust = 10; 
	
	//QualifyingPasses = 3;
	// tyto parametry pouv tda WaveTypeDetector.detectWave ale nakonec nebyly pouity
	jmeno = "Psknut";
}
}
